# Generated by Django 3.2.6 on 2023-05-29 09:04

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0062_auto_20230529_1554'),
    ]

    operations = [
        migrations.AlterField(
            model_name='destinasi',
            name='foto',
            field=models.ImageField(null=True, upload_to='profile/images/destinasi/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar]),
        ),
        migrations.CreateModel(
            name='PostImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('images', models.FileField(null=True, upload_to='profile/images/destinasi/detail', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('destinasi', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='rizq_sanjaya_app.destinasi')),
            ],
        ),
    ]
